return {
    "nvim-treesitter/nvim-treesitter",
    build = ":TSUpdate",
    config = function ()
      local configs = require("nvim-treesitter.configs")

      configs.setup({
          ensure_installed = { "lua", "vim", "vimdoc", "javascript", "json", "yaml", "markdown", "dockerfile", "typescript", "markdown_inline", "sql", "html", "css", "gitcommit", "git_config", "fish", "diff", "python" },
          sync_install = false,
          highlight = {
            enable = true,
            additional_vim_regex_highlighting = false
          },
          indent = { enable = true },
        })
    end
}
