# Dotfiles

This repository contains my personal configuration managed by [GNU Stow](https://www.gnu.org/software/stow/) for the following applications:

- [Neovim](https://neovim.io)
- [Wezterm](https://wezfurlong.org/wezterm/)
- [Git](https://git-scm.com)

## Install

To apply a configuration execute the following steps:

```sh
# Clone git repository
git clone git@gitea.marvinelsen.com:marvinelsen/dotfiles.git
cd dotfiles

# Apply Neovim configuration
stow --verbose --restow --target ~ nvim
```
