local wezterm = require 'wezterm'
local appearance = require 'appearance'

local config = wezterm.config_builder()

-- https://wezfurlong.org/wezterm/colorschemes/index.html

-- if appearance.is_dark() then
  config.color_scheme = 'Catppuccin Mocha'

-- else
--  config.color_scheme = 'Catppuccin Latte'
--end

config.font = wezterm.font({ family = 'FantasqueSansM Nerd Font' })
config.font_size = 14

-- config.window_background_opacity = 1
-- config.macos_window_background_blur = 30
config.window_decorations = 'RESIZE|INTEGRATED_BUTTONS'
config.window_frame = {
    font = wezterm.font({ family = 'FantasqueSansM Nerd Font', weight = 'Bold' }),
    font_size = 14
}

config.default_prog = { '/opt/homebrew/bin/fish', '-li' }

return config
